"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_dom_1 = __importDefault(require("react-dom"));
var react_notification_system_1 = __importDefault(require("react-notification-system"));
var application_1 = require("../application");
var layout_1 = require("../layout");
exports.default = {
    name: "notification-addon",
    component: /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.notificationNode = null;
            _this.notificationSystem = null;
            _this.modalStack = [];
            return _this;
        }
        class_1.prototype.pluginWillMount = function () {
            this.notificationNode = document.createElement("div");
            document.body.appendChild(this.notificationNode);
            this.notificationSystem = react_dom_1.default.render(react_1.default.createElement(react_notification_system_1.default), this.notificationNode);
            application_1.Application.addNotification = this.addNotification.bind(this);
        };
        class_1.prototype.addNotification = function (error, message) {
            if (typeof error !== "object") {
                error = {
                    position: "tc",
                    level: arguments[0],
                    message: Array.prototype.slice.call(arguments, 1).join(),
                };
            }
            this.notificationSystem.addNotification(error);
        };
        return class_1;
    }(layout_1.PluginInstance)),
};
