"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var application_1 = require("../application");
var layout_1 = require("../layout");
var WindowedContainer_1 = __importDefault(require("../ui/WindowedContainer"));
exports.default = {
    name: "windows-frame",
    component: /** @class */ (function (_super) {
        __extends(class_1, _super);
        function class_1() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.registerFrameComponent = function (frame) {
                _this.frame = frame;
                if (frame) {
                    var windows = application_1.Application.layout.windows;
                    for (var key in windows) {
                        var wnd = windows[key];
                        frame.attachWindow(wnd, wnd.dockId);
                        wnd.render();
                    }
                }
            };
            return _this;
        }
        class_1.prototype.pluginWillMount = function (options) {
            this.displayLayout = options.displayLayout;
            application_1.Application.layout.frame = this;
        };
        class_1.prototype.renderFrameComponent = function () {
            return (react_1.default.createElement(WindowedContainer_1.default, { ref: this.registerFrameComponent, displayLayout: this.displayLayout }));
        };
        class_1.prototype.getFrameComponent = function () {
            return this.frame;
        };
        class_1.prototype.attachWindow = function (wnd, dockId, foreground) {
            this.frame && this.frame.attachWindow.apply(this.frame, arguments);
        };
        class_1.prototype.dettachWindow = function (wnd) {
            this.frame && this.frame.dettachWindow.apply(this.frame, arguments);
        };
        return class_1;
    }(layout_1.PluginInstance))
};
