export declare type MenuType = {
    menu: any[];
    callbacks: {
        [key: string]: Function;
    };
};
export declare class ApplicationInstance {
    windowMenu: MenuType;
    [addonName: string]: any;
    installFeatures(features: {
        [key: string]: any;
    }, onlyFunction?: boolean): void;
    injectAsProperty(clazz: any): void;
    absoluteUrl(url: string): string;
    isHostedWindow(): boolean;
    redirectWindow(url: string): void;
    openWindow(url: string): void;
    reloadWindow(): void;
    setWindowTitle(title: string, icon: string): void;
    setWindowMenu(menu: any[], callbacks?: {
        [key: string]: Function;
    }): void;
    receiveHostMessage(msg: any): void;
}
export declare function extendApplication(features: {
    [key: string]: any;
}): void;
export declare const Application: ApplicationInstance;
