"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application_1 = require("../application");
var Window_1 = require("./Window");
var Plugin_1 = require("./Plugin");
var Context_1 = require("./Context");
function default_1(app) {
    var layout = new Context_1.PluginContext();
    application_1.Application.installFeatures({
        layout: layout,
        WindowComponent: Window_1.WindowComponent,
        WindowContainer: Window_1.WindowContainer,
        PluginInstance: Plugin_1.PluginInstance,
        installPlugin: layout.installPlugin.bind(layout),
        declarePlugin: layout.declarePlugin.bind(layout),
        mountPlugin: layout.mountPlugin.bind(layout),
    });
}
exports.default = default_1;
var Window_2 = require("./Window");
exports.WindowInstance = Window_2.WindowInstance;
exports.WindowComponent = Window_2.WindowComponent;
exports.WindowContainer = Window_2.WindowContainer;
var Plugin_2 = require("./Plugin");
exports.PluginInstance = Plugin_2.PluginInstance;
var Context_2 = require("./Context");
exports.PluginContext = Context_2.PluginContext;
