"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Waitable = /** @class */ (function () {
    function Waitable() {
        this.$$status = 0;
    }
    Waitable.prototype.when = function () {
        var _this = this;
        if (!this.$$when) {
            switch (this.$$status) {
                case 0:
                    this.$$when = new Promise(function (resolve, reject) {
                        _this.$$resolve = resolve;
                        _this.$$reject = reject;
                    });
                    break;
                case 1:
                    this.$$when = Promise.resolve(this.$$data);
                    break;
                case 2:
                    this.$$when = Promise.reject(this.$$data);
                    break;
                default:
                    throw new Error("bas status");
            }
        }
        return this.$$when;
    };
    Waitable.prototype.resolve = function (data) {
        this.$$status = 1;
        this.$$data = data;
        this.$$resolve && this.$$resolve(data);
    };
    Waitable.prototype.reject = function (data) {
        this.$$status = 2;
        this.$$data = data;
        this.$$reject && this.$$reject(data);
    };
    return Waitable;
}());
exports.default = Waitable;
