import Connector from "./Connector";
export declare class Export {
    __esModule: boolean;
}
export declare class Module extends Export {
    ".sandbox": SandBox;
    "$": any;
    [key: string]: any;
}
export declare class SandBox {
    name: string;
    modules: {
        [key: string]: Module;
    };
    connector: Connector;
    devMode: boolean;
    constructor(name: string);
    reset(): void;
    require: (ref: string) => Module;
    imports(cimports: Object): void;
    getModulesRegister(): {
        [key: string]: Module;
    };
    getModule(guid: string): Module;
    getModuleGuid(cmodule: Module): string;
    installModule(cmodule: Module): Promise<Module> | undefined;
}
