"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SandBox_1 = require("./SandBox");
function createApplication(name, moduleId, externals, callback) {
    // Prepare the sandbox
    var sandbox = new SandBox_1.SandBox(name);
    sandbox.imports(externals);
    // Install the application entry point
    var entry = sandbox.getModule(moduleId);
    var deffer = sandbox.installModule(entry);
    if (deffer)
        deffer.then(function (entry) {
            callback && callback(entry);
        });
    else {
        callback && callback(entry);
    }
}
exports.default = createApplication;
