import React from "react";
import "./index.css";
declare type DisplayItemType = {
    key?: string;
    header?: any;
    content?: any;
};
declare type LayoutItemType = {
    size: number;
    [customProperty: string]: any;
};
declare type LayoutType = LayoutItemType[];
declare type PropsType = {
    value: LayoutType;
    vertical?: boolean;
    style?: any;
    className?: string;
    children: (item: LayoutItemType) => DisplayItemType;
    onChange?: (layout: LayoutType) => void;
    onNew?: (data: any) => {
        [customKey: string]: any;
    };
};
export default class LinearContainer extends React.Component {
    props: PropsType;
    delta: number;
    onResize: (i_1: any) => (gap: any) => void;
    onRelease: (i_1: any) => () => void;
    getSizeFactor(): number;
    render(): JSX.Element;
}
export {};
