"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Listener = /** @class */ (function (_super) {
    __extends(Listener, _super);
    function Listener() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleChange = function (type, data1, data2) {
            if (type === "change") {
                var onChange = _this.props.onChange;
                onChange && onChange(data1, data2);
            }
            else {
                var onEvent = _this.props.onEvent;
                onEvent && onEvent(type, data1, data2);
            }
        };
        return _this;
    }
    Listener.prototype.componentWillMount = function () {
        var object = this.props.object;
        object && object.addEventListener(this.handleChange);
    };
    Listener.prototype.componentWillReceiveProps = function (nextProps) {
        var nextObject = nextProps.object;
        var prevObject = this.props.object;
        if (nextObject !== prevObject) {
            prevObject && prevObject.removeEventListener(this.handleChange);
            nextObject && nextObject.addEventListener(this.handleChange);
        }
    };
    Listener.prototype.componentWillUnmount = function () {
        var object = this.props.object;
        object && object.removeEventListener(this.handleChange);
    };
    Listener.prototype.render = function () {
        return this.props.children || null;
    };
    return Listener;
}(react_1.default.Component));
exports.default = Listener;
