"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var application_1 = require("../../application");
var CenterPanelContainer = /** @class */ (function (_super) {
    __extends(CenterPanelContainer, _super);
    function CenterPanelContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CenterPanelContainer.prototype.componentWillMount = function () {
    };
    CenterPanelContainer.prototype.shouldComponentUpdate = function (nextProps) {
        var curProps = this.props;
        return curProps.current !== nextProps.current;
    };
    CenterPanelContainer.prototype.render = function () {
        var current = this.props.current;
        if (current) {
            return (react_1.default.createElement(application_1.Application.WindowContainer, { current: current, className: "WND_panel_container_center WND_panel_container" }));
        }
        else {
            return (react_1.default.createElement("div", { className: "WND_panel_container_center WND_panel_container_splash" }));
        }
    };
    return CenterPanelContainer;
}(react_1.Component));
exports.CenterPanelContainer = CenterPanelContainer;
var SidePanelContainer = /** @class */ (function (_super) {
    __extends(SidePanelContainer, _super);
    function SidePanelContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SidePanelContainer.prototype.componentWillMount = function () {
    };
    SidePanelContainer.prototype.shouldComponentUpdate = function (nextProps) {
        var curProps = this.props;
        return curProps.current !== nextProps.current
            || curProps.vertical !== nextProps.vertical
            || curProps.size !== nextProps.size;
    };
    SidePanelContainer.prototype.getSize = function () {
        var container = this.refs.container;
        if (container) {
            return this.props.vertical ? container.width() : container.height();
        }
    };
    SidePanelContainer.prototype.render = function () {
        var _a = this.props, current = _a.current, vertical = _a.vertical, size = _a.size;
        var style = {
            width: vertical ? (size + "%") : "auto",
            height: vertical ? "auto" : (size + "%"),
        };
        if (current) {
            return (react_1.default.createElement(application_1.Application.WindowContainer, { ref: "container", className: "WND_panel_container_side WND_panel_container", style: style, current: current }));
        }
        else {
            return null;
        }
    };
    return SidePanelContainer;
}(react_1.Component));
exports.SidePanelContainer = SidePanelContainer;
