import { Component } from "react";
import WindowedContainer from "../WindowedContainer";
import { PanelProps } from "./PanelButton";
declare type PropsType = {
    panel: PanelProps;
    frame: WindowedContainer;
    children: any;
};
declare class SidePanel extends Component {
    props: PropsType;
    shouldComponentUpdate(nextProps: any): boolean;
    handleResize: (delta: any) => void;
}
export declare class SidePanelTop extends SidePanel {
    transformDelta(e: any): any;
    render(): JSX.Element;
}
export declare class SidePanelBottom extends SidePanel {
    transformDelta(e: any): number;
    render(): JSX.Element;
}
export declare class SidePanelLeft extends SidePanel {
    transformDelta(e: any): any;
    render(): JSX.Element;
}
export declare class SidePanelRight extends SidePanel {
    transformDelta(e: any): number;
    render(): JSX.Element;
}
export declare class CenterPanelTop extends SidePanelTop {
    render(): JSX.Element;
}
export declare function RootPanel(props: any): JSX.Element;
declare const _default: {
    "#": typeof RootPanel;
    "side-left": typeof SidePanelLeft;
    "side-top": typeof SidePanelTop;
    "side-right": typeof SidePanelRight;
    "side-bottom": typeof SidePanelBottom;
    "center-top": typeof CenterPanelTop;
};
export default _default;
