import React from "react";
import { PanelProps } from "./PanelButton";
import { WindowInstance } from "../../layout/Window";
import "./index.css";
declare type DisplayItemType = {
    header?: any;
    content?: any;
};
declare type LayoutItemType = {
    size: number;
    [customKey: string]: any;
};
declare type LayoutType = LayoutItemType[];
declare type PropsType = {
    displayLayout?: any;
    style?: any;
    children?: (item: LayoutItemType) => DisplayItemType;
    onChange?: (layout: LayoutType) => void;
    onNew?: (data: any) => {
        [customKey: string]: any;
    };
};
declare type StateType = {
    panels: {
        [key: string]: PanelProps;
    };
};
export default class WindowedContainer extends React.Component {
    props: PropsType;
    state: StateType;
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: any): void;
    loadDisplayLayout: (displayLayout: any) => void;
    showWindow(wnd: WindowInstance): any;
    hideWindow(wnd: WindowInstance): any;
    dettachWindow(wnd: WindowInstance): any;
    attachWindow(wnd: WindowInstance, dockId: string, foreground: boolean): any;
    notifyPanelResize(panel: PanelProps, size: number): void;
    renderPanel(id: string): any;
    render(): any;
}
export {};
