declare const _default: {
    name: string;
    component: {
        new (pluginClass: import("../layout/Plugin").PluginClass): {
            router: Object;
            loginPromise: Promise<any>;
            enableLoginRecovery: boolean;
            resolveUrl: Function;
            pluginWillMount(parameters: any): void;
            resolveEndPoint(url: any, options: any): {
                request(req: any, url: any, options: any): string;
                websocket(url: any, options: any): string;
                login(req: any, res: any, url: any, options: any): Promise<any>;
                feedback(req: any, res: any, url: any, options: any): void;
            };
            websocketAPI(url: any, options: any): WebSocket;
            fetchAPI(url: any, options: any): Promise<any>;
            ".class": import("../layout/Plugin").PluginClass;
            openWindow: Function;
            closeWindow: Function;
            closeAllWindow: Function;
            pluginDidMount(parameters: {
                [key: string]: any;
            }): void;
            pluginWillUnmount(): void;
            ".events": any[];
            ".listeners": (string | Function)[];
            addEventListener(callback: Function): boolean;
            addEventListener(eventType: string, callback: Function): boolean;
            removeEventListener(callback: Function): boolean;
            removeEventListener(eventType: string, callback: Function): boolean;
            synchronizeStateInContext(contexts: import("../modules/listenable").ListenableContexts, writable: boolean, fields?: boolean | string[], previousResult?: import("../modules/listenable").default): import("../modules/listenable").default | Promise<import("../modules/listenable").default>;
            addStateListener(callback: Function, fields?: string[]): boolean;
            removeStateListener(callback: Function): boolean;
            setState(): void;
            setState(key: string, value: any): void;
            setState(values: {
                [key: string]: any;
            }): void;
            dispatchEvent(type: string, data?: any): void;
            executeEvent(type: string, data?: any): Promise<any[]>;
        };
        setState(): void;
        setState(key: string, value: any): void;
        setState(values: {
            [key: string]: any;
        }): void;
    };
};
export default _default;
