export declare class CallSite {
    status: number;
    self: Object;
    proc: Function;
    args: Array<any>;
    next: CallSite;
    back: CallSite;
    _when: Promise<any>;
    _resolve: Function;
    _reject: Function;
    _data: any;
    constructor(self: any, proc: any, args: any);
    containOf(proc: any): CallSite;
    abortAllOf(proc: any): void;
    abort(data: any): void;
    complete(data: any): void;
    when(): Promise<any>;
    _do(): void;
    execute(after: CallSite): void;
}
export default class CallChain {
    tos: CallSite;
    call(self: any, proc: any, args: any): CallSite;
    abortAllOf(proc: Function): void;
    containOf(proc: Function): CallSite;
}
