import Listenable from "./listenable";
export declare const globalStorage: {};
export declare const storableClasses: {};
export default class Storable extends Listenable {
    $$storeUid: string;
    $$storeDirectory: any[];
    storableShouldInitiate(data: Object): void;
    storableShouldSerialize(): Object;
    storableWillUnmount(): void;
    readStorageData(): Object;
    writeStorageData(data: Object): boolean;
    patchStorageData(data: Object): boolean;
    setStorageData(value: any): void;
    forceSave(): boolean;
    terminateState(): void;
    deleteState(): void;
    static registerClass(name: string): typeof Storable;
    static openStorable: (uid: string, ...args: any[]) => any;
}
export declare function getAllStorable(): {
    [key: string]: Storable;
};
export declare function saveAllStorable(): void;
