import React from "react";
declare type DragPropsType = {
    onDragStart?: Function;
    onDragEnd?: Function;
    style?: any;
    [key: string]: any;
};
export declare class DragZone extends React.Component {
    props: DragPropsType;
    handleDragStart: (evt: any) => void;
    handleDragEnd: (evt: any) => void;
    dragComplete(data?: any): void;
    render(): JSX.Element;
}
declare type DropPropsType = {
    onSelect?: Function;
    onUnselect?: Function;
    isDroppable?: Function;
    onDrop?: Function;
    onDropMatch?: Function;
    className?: string;
    selectedClassName?: string;
    highlightClassName?: string;
    [key: string]: any;
};
export declare class DropZone extends React.Component {
    props: DropPropsType;
    zoneId: number;
    active: boolean;
    componentWillMount: () => void;
    componentWillUnmount: () => void;
    activate(data: any): void;
    deactivate(): void;
    select(): void;
    unselect(): void;
    handleDrop: (evt: any) => void;
    handleDragOver: (evt: any) => void;
    handleDragEnter: (evt: any) => void;
    handleDragLeave: (evt: any) => void;
    render(): JSX.Element;
}
export declare class DragDropZone extends DropZone {
    props: DropPropsType;
    handleDragStart: (evt: any) => void;
    handleDragEnd: (evt: any) => void;
    render(): JSX.Element;
}
export {};
