import { Component } from "react";
/** ******************************
*********************************
*** Window Split
*********************************
*********************************/
export declare type SplitItemType = {
    header?: any;
    content?: any;
    size?: number;
    overflow?: string;
};
declare type PropsType = {
    items?: Array<SplitItemType>;
    style?: Object | Array<any>;
};
export default class Split extends Component {
    props: PropsType;
    items: Array<SplitItemType>;
    sizes: Array<number>;
    modes: Array<number>;
    styles: Array<Object>;
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: any): void;
    transformDelta(e: any): any;
    updateProps(props: any): void;
    applySizes(): void;
    handleResize: (index: any) => (delta: any) => void;
    handleCollapse: (index: any) => () => void;
    render(): JSX.Element;
}
export {};
