import { Component } from "react";
import { WindowInstance } from "../../layout";
import WindowedContainer from "../WindowedContainer";
export declare type PanelProps = {
    id: string;
    type: string;
    size: number;
    current: WindowInstance;
    items: WindowInstance[];
    menu: boolean;
    child: string;
};
declare type PropsType = {
    panel: PanelProps;
    frame: WindowedContainer;
    item: WindowInstance;
    css: any;
};
export default class PanelButton extends Component {
    props: PropsType;
    componentWillMount(): void;
    componentWillUnmount(): void;
    handleEvent: () => void;
    handleClick: () => void;
    handleDragWindow: () => {
        "window": {
            id: string;
        };
    };
    handleDragMatch: (types: any) => boolean;
    handleClose: (e: any) => void;
    render(): JSX.Element;
}
export {};
