export declare function stopEvent(e: any): boolean;
export declare function stopPropagation(e: any): boolean;
export declare class HtmlScrollingReaction {
    element: HTMLElement;
    mouseX: number;
    mouseY: number;
    scrollX: number;
    scrollY: number;
    onMouseScroll: Function;
    constructor(element: any, event: any, onMouseScroll: any);
    scroll(): void;
    handleMouseMove(event: any): void;
    handleCompleted(): void;
}
export declare class HtmlGrabReaction {
    element: HTMLElement;
    mouseX: number;
    mouseY: number;
    left: number;
    top: number;
    deltaX: number;
    deltaY: number;
    onMouseGrab: Function;
    onMouseRelease: Function;
    constructor(element: HTMLElement, event: any, onMouseGrab: Function, onMouseRelease?: Function);
    move(): void;
    handleMouseMove(event: any): void;
    handleCompleted(): void;
}
export declare class SVGGrabReaction {
    element: any;
    mouseX: number;
    mouseY: number;
    x: number;
    y: number;
    onMouseGrab: Function;
    constructor(element: any, event: any, onMouseGrab: any);
    move(): void;
    handleMouseMove(event: any): void;
    handleCompleted(): void;
}
