import React from "react";
import { PositionType } from "../computeEdgeBox";
import "./style.css";
declare type ItemPropsType = {
    icon?: any;
    title?: any;
    children?: any;
    onClick?: (event: React.SyntheticEvent) => void;
};
declare type StyleType = {
    [key: string]: string;
};
export declare const Menu: {
    Item(props: ItemPropsType): JSX.Element;
    Separator(): JSX.Element;
};
export declare function setDefaultMenuStyle(className?: string, style?: StyleType): void;
export default function openContextualMenu(parent: React.Component, target: Element | UIEvent | React.Component, renderer: Function, position?: PositionType, className?: string, style?: StyleType): Promise<unknown>;
export {};
